curl "https://zeplo.ai/api/analytics/campaigns?startDate=2026-01-01&endDate=2026-01-31" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"totalCampaigns": 12,
"completedCampaigns": 10,
"runningCampaigns": 2,
"totalRecipients": 5000,
"totalSent": 4800,
"totalDelivered": 4700,
"totalRead": 3200,
"totalReplied": 450,
"campaigns": [
{
"id": 1,
"name": "New Year Promo",
"status": "completed",
"deliveryRate": 97.9,
"readRate": 68.1,
"replyRate": 9.6
}
]
}
}
Analytics
GET Campaign Analytics
Get campaign performance analytics.
GET
/
api
/
analytics
/
campaigns
curl "https://zeplo.ai/api/analytics/campaigns?startDate=2026-01-01&endDate=2026-01-31" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"totalCampaigns": 12,
"completedCampaigns": 10,
"runningCampaigns": 2,
"totalRecipients": 5000,
"totalSent": 4800,
"totalDelivered": 4700,
"totalRead": 3200,
"totalReplied": 450,
"campaigns": [
{
"id": 1,
"name": "New Year Promo",
"status": "completed",
"deliveryRate": 97.9,
"readRate": 68.1,
"replyRate": 9.6
}
]
}
}
Campaign analytics
GET /api/analytics/campaigns
Retrieve aggregated campaign performance metrics.
Headers
string
required
Session cookie (login via POST /api/auth/login)
string
required
Start date (ISO 8601)
string
required
End date (ISO 8601)
string
Filter by channel
curl "https://zeplo.ai/api/analytics/campaigns?startDate=2026-01-01&endDate=2026-01-31" \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
{
"success": true,
"data": {
"totalCampaigns": 12,
"completedCampaigns": 10,
"runningCampaigns": 2,
"totalRecipients": 5000,
"totalSent": 4800,
"totalDelivered": 4700,
"totalRead": 3200,
"totalReplied": 450,
"campaigns": [
{
"id": 1,
"name": "New Year Promo",
"status": "completed",
"deliveryRate": 97.9,
"readRate": 68.1,
"replyRate": 9.6
}
]
}
}
Campaign analytics by ID
GET /api/analytics/campaigns/:campaignId
curl https://zeplo.ai/api/analytics/campaigns/1 \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
